package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.PushDeviceDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/17 10:04
 * @Description 推送设备持久层
 */
@Mapper
@Repository
public interface PushDeviceDAO {

    /**
     * 保存或更新
     *
     * @param deviceDO
     * @return
     */
    int insertOrUpdate(PushDeviceDO deviceDO);

    /**
     * 删除
     *
     * @param deviceId
     * @return
     */
    int deleteByDeviceId(@Param("deviceId") String deviceId);
}
