package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.SmsSignDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 短信签名持久层
 */
@Mapper
@Repository
public interface SmsSignDAO {

    /**
     * 短信签名Map
     *
     * @return key：短信签名id；value：短信签名对象
     */
    @MapKey("signId")
    Map<Long, SmsSignDO> selectSmsSignMap();

}
