package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.SmsTemplateDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * @Description 短信模板持久层
 */
@Mapper
@Repository
public interface SmsTemplateDAO {

    /**
     * 短信模板Map
     *
     * @return key：短信模板id；value：短信模板对象
     */
    @MapKey("templateId")
    Map<Long, SmsTemplateDO> selectTemplateMap();
}
