package com.starbuds.server.service.message.netease.response.chatroom;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/10
 */
@Data
public class NeteaseChatroomCreateResponse extends NeteaseResponse {

    private Chatroom chatroom;

    @Data
    public static class Chatroom implements Serializable {
        @JSONField(name = "roomid")
        private Long roomId;

        private Boolean valid;

        private String announcement;

        private String name;

        @JSONField(name = "broadcasturl")
        private String broadcastUrl;

        private String ext;

        private String creator;
    }
}
