package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 16:05
 * @Description 查询聊天室信息
 */
@Data
public class NeteaseChatroomInfoResponse extends NeteaseResponse {

    private Chatroom chatroom;

    @Data
    public static class Chatroom {

        private long roomid;

        private Boolean valid;

        /**
         * 聊天室是否处于全体禁言状态，全体禁言时仅管理员和创建者可以发言
         */
        private Boolean muted;

        private String announcement;

        private String name;

        private String broadcasturl;

        private Integer onlineusercount;

        private String ext;

        private String creator;

        private Integer queuelevel;

    }


}
