package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 14:07
 * @Description 分页获取成员列表
 */
@Data
public class NeteaseChatroomMemberPageResponse extends NeteaseResponse {

    private List<MemberPage> data;

    @Data
    public static class MemberPage {
        private Long roomid;
        private String accid;
        private String nick;
        private String avator;
        private String ext;
        private String type;
        private Integer level;
        private Boolean onlineStat;
        private Long enterTime;
        private Boolean blacklisted;
        private Boolean muted;
        private Boolean tempMuted;
        private Long tempMuteTtl;
        private Boolean isRobot;
        private Long robotExpirAt;

    }
}
