package com.starbuds.server.service.message.netease.response.msg;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 10:41
 * @Description 发送普通消息
 */
@Data
public class NeteaseMsgSendResponse extends NeteaseResponse {

    private MsgSendData data;

    @Data
    public static class MsgSendData implements Serializable {
        private static final long serialVersionUID = 6466574281823424215L;
        private Long msgid;
        /**
         * 消息发送的时间戳
         */
        private Long timetag;
        private Boolean antispam;
    }
}
