package com.starbuds.server.service.message.netease.response.team;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 19:25
 * @Description 获取某用户所加入的群信息
 */
@Data
public class NeteaseTeamJoinTeamsResponse extends NeteaseResponse {

    private Integer count;

    private List<Info> infos;

    @Data
    public static class Info {

        private String owner;

        private String tname;

        private Integer maxusers;

        private Integer tid;

        private Integer size;

        private String custom;

    }

}
