package com.starbuds.server.service.message.netease.response.team;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 17:28
 * @Description 获取群组详细信息
 */
@Data
public class NeteaseTeamQueryDetailResponse extends NeteaseResponse {

    private Tinfo tinfo;

    @Data
    public static class Tinfo {
        private String icon;
        private String announcement;
        private Integer uptinfomode;
        private Integer maxusers;
        private String intro;
        private Integer upcustommode;
        private String tname;
        private Integer beinvitemode;
        private Integer joinmode;
        private Long tid;
        private Integer invitemode;
        private Boolean mute;
        private String custom;
        private String clientCustom;
        private Long createtime;
        private Long updatetime;
        private Account owner;
        private List<Account> admins;
        private List<Account> members;

        @Data
        public static class Account {
            private Long createtime;
            private Long updatetime;
            private String nick;
            private String accid;
            private Boolean mute;
            private String custom;
        }
    }

}


