package com.starbuds.server.service.message.netease.response.team;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 17:20
 * @Description 群信息与成员列表查询
 */
@Data
public class NeteaseTeamQueryResponse extends NeteaseResponse {

    private List<Tinfos> tinfos;

    @Data
    public static class Tinfos {
        private String tname;
        private String announcement;
        private String owner;
        private int maxusers;
        private int joinmode;
        private int tid;
        private String intro;
        private int size;
        private String custom;
        private String clientCustom;
        private boolean mute;
        private int createtime;
        private int updatetime;
        private List<String> admins;
        private List<String> members;
    }
}