package com.starbuds.server.service.message.tencent.callback.entity.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.callback.entity.CallbackEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/1/8
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CallbackAfterSendMsgEntity extends CallbackEntity {
    /**
     * 发送者
     */
    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "GroupId")
    private String groupId;

    @JSONField(name = "MsgBody")
    private String msgBody;

    @JSONField(name = "MsgSeq")
    private Integer msgSeq;

    @JSONField(name = "MsgTime")
    private Integer msgTime;

    @JSONField(name = "Operator_Account")
    private String operatorAccount;

    @JSONField(name = "Random")
    private String random;

    @JSONField(name = "Type")
    private String type;
}
