package com.starbuds.server.service.message.tencent.callback.entity.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.callback.entity.CallbackEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class NewMemberJoinEntity extends CallbackEntity {
    @JSONField(name = "GroupId")
    private String groupId;

    @JSONField(name = "JoinType")
    private String joinType;

    @JSONField(name = "NewMemberList")
    private List<Member> newMemberList;

    @JSONField(name = "Operator_Account")
    private String operatorAccount;

    @JSONField(name = "Type")
    private String type;

    @Data
    public static class Member implements Serializable {
        @JSONField(name = "Member_Account")
        private String memberAccount;
    }
}
