package com.starbuds.server.service.message.tencent.param.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Builder;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/16
 */
@Data
@Builder
public class TencentImOpenLoginSvcAccountImportParam extends TencentParam {
    /**
     * 用户名，长度不超过32字节
     */
    @JSONField(name = "Identifier")
    private String Identifier;

    /**
     * 用户昵称
     */
    @JSONField(name = "Nick")
    private String nick;

    /**
     * 用户头像 URL
     */
    @JSONField(name = "FaceUrl")
    private String faceUrl;

    /**
     * 帐号类型，开发者默认无需填写，值0表示普通帐号，1表示机器人帐号
     */
    @JSONField(name = "Type")
    private String type;
}
