package com.starbuds.server.service.message.tencent.param.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:11
 * @Description 账号检查
 */
@Data
public class TencentImUserAccountCheckParam extends TencentParam {

    @JSONField(name = "CheckItem")
    private List<User> checkItem;

    @Data
    public static class User {
        @JSONField(name = "UserID")
        private String userID;
    }
}
