package com.starbuds.server.service.message.tencent.param.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:49
 * @Description 获取群组详细资料
 */
@Data
public class TencentImGroupGetInfoParam extends TencentParam {


    @JSONField(name = "ResponseFilter")
    private ResponseFilterBean responseFilter;

    @JSONField(name = "GroupIdList")
    private List<String> groupIdList;

    @Data
    public static class ResponseFilterBean {

        @JSONField(name = "GroupBaseInfoFilter")
        private List<String> groupBaseInfoFilter;

        @JSONField(name = "MemberInfoFilter")
        private List<String> memberInfoFilter;

        @JSONField(name = "AppDefinedDataFilter_Group")
        private List<String> appDefinedDataFilterGroup;

        @JSONField(name = "AppDefinedDataFilter_GroupMember")
        private List<String> appDefinedDataFilterGroupMember;
    }
}
