package com.starbuds.server.service.message.tencent.param.msg;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:33
 * @Description 导入单聊消息
 */
@Data
public class TencentImMsgImportParam extends TencentParam {

    @JSONField(name = "SyncFromOldSystem")
    private Integer syncFromOldSystem;

    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "To_Account")
    private String toAccount;

    @JSONField(name = "MsgRandom")
    private Integer msgRandom;

    @JSONField(name = "MsgTimeStamp")
    private Integer msgTimeStamp;

    @JSONField(name = "MsgBody")
    private List<MsgBodyBean> msgBody;


    @Data
    public static class MsgBodyBean {

        @JSONField(name = "MsgType")
        private String msgType;

        @JSONField(name = "MsgContent")
        private MsgContentBean msgContent;

        @Data
        public static class MsgContentBean {

            @JSONField(name = "Text")
            private String text;

        }
    }
}
