package com.starbuds.server.service.message.tencent.param.profile;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:13
 * @Description 设置资料
 */
@Data
public class TencentImProfileSetParam extends TencentParam {

    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "ProfileItem")
    private List<ProfileItem> profileItem;


    @Data
    public static class ProfileItem implements Serializable {

        @JSONField(name = "Tag")
        private String tag;

        @JSONField(name = "Value")
        private String value;

    }
}
