package com.starbuds.server.service.message.tencent.param.sns;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.util.List;

/**
 * 添加黑名单参数
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImSnsBlackListAddParam extends TencentParam {
    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "To_Account")
    private List<String> toAccount;

}
