package com.starbuds.server.service.message.tencent.response.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:57
 * @Description 获取用户在线状态
 */
@Data
public class TencentImUserQueryStateResponse extends TencentResponse {

    @JSONField(name = "QueryResult")
    private List<QueryResultBean> queryResult;

    @Data
    public static class QueryResultBean {

        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "State")
        private String state;

    }
}
