package com.starbuds.server.service.message.tencent.response.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/28
 */
@Data
public class TencentOpenImQueryStateResponse extends TencentResponse {
    @JSONField(name = "QueryResult")
    private List<QueryResult> queryResult;

    @Data
    public static class QueryResult {

        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "State")
        private String state;

        @JSONField(name = "Detail")
        private List<QueryResultDetail> detail;
    }

    @Data
    public static class QueryResultDetail {
        @JSONField(name = "Platform")
        private String platform;

        @JSONField(name = "Status")
        private String status;
    }
}
