package com.starbuds.server.service.message.tencent.response.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:27
 * @Description 获取 App 中的所有群组
 */
@Data
public class TencentImGroupGetListResponse extends TencentResponse {

    @JSONField(name = "TotalCount")
    private Integer totalCount;

    @JSONField(name = "Next")
    private Integer next;

    @JSONField(name = "GroupIdList")
    private List<GroupIdListBean> groupIdList;

    @Data
    public static class GroupIdListBean {

        @JSONField(name = "GroupId")
        private String groupId;
    }
}
