package com.starbuds.server.service.message.tencent.response.msg;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 10:27
 * @Description 批量发单聊消息
 */
@Data
public class TencentImMsgBatchSendResponse extends TencentResponse {

    @JSONField(name = "MsgKey")
    private String msgKey;

    @JSONField(name = "ErrorList")
    private List<ErrorInfo> errorList;

    @Data
    public static class ErrorInfo {

        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "ErrorCode")
        private Integer errorCode;
    }
}
