package com.starbuds.server.service.message.tencent.response.profile;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/17 11:07
 * @Description 拉取资料
 */
@Data
public class TencentImProfileGetResponse extends TencentResponse {

    @JSONField(name = "ErrorDisplay")
    private String errorDisplay;

    @JSONField(name = "UserProfileItem")
    private List<UserProfileItemBean> userProfileItem;


    @Data
    public static class UserProfileItemBean {

        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "ResultCode")
        private Integer ResultCode;

        @JSONField(name = "ResultInfo")
        private String resultInfo;

        @JSONField(name = "ProfileItem")
        private List<ProfileItemBean> profileItem;

        @Data
        public static class ProfileItemBean {

            @JSONField(name = "Tag")
            private String tag;

            @JSONField(name = "Value")
            private String value;
        }
    }
}
