package com.starbuds.server.service.message.tencent.response.sns;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImSnsBlackListAddResponse extends TencentResponse {

    @JSONField(name = "ResultItem")
    private List<Item> resultItem;

    @JSONField(name = "Fail_Account")
    private String[] failAccount;

    @Data
    public static class Item implements Serializable {
        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "ResultCode")
        private Integer resultCode;

        @JSONField(name = "ResultInfo")
        private String resultInfo;
    }
}
