package com.starbuds.server.service.message.dao;

import com.starbuds.server.common.pojo.db.SmsCodeHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/3 17:10
 * @Description 短信验证码历史记录持久层
 */
@Mapper
@Repository
public interface SmsCodeHisDAO {

    /**
     * 新增
     */
    Integer insert(SmsCodeHisDO entity);

    /**
     * 根据主键更新
     */
    Integer updateById(SmsCodeHisDO entity);

    /**
     * 根据主键查询
     */
    SmsCodeHisDO selectById(@Param("hisId") Long hisId);

}
