package com.starbuds.server.service.message.factory;

import com.starbuds.server.common.constant.common.SelectMode;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/3 12:24
 * @Description 抽象渠道工厂
 * <p>
 * 选择模式
 * @see SelectMode
 */
public abstract class AbstractChannelFactory {

    /**
     * 创建渠道
     *
     * @param mode
     * @return
     */
    public abstract String creatChannel(SelectMode mode);

}
