package com.starbuds.server.service.message.impl;

import com.starbuds.server.common.pojo.db.SmsAgentDO;
import com.starbuds.server.common.service.message.SmsAgentService;
import com.starbuds.server.service.message.dao.SmsAgentDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

/**
 * 短信服务商
 *
 * @author aoe
 * @date 2021/7/7
 */
@Slf4j
@Service(version = "1.0.0")
public class SmsAgentServiceImpl implements SmsAgentService {

    @Resource
    private SmsAgentDAO smsAgentDAO;

    @Override
    public SmsAgentDO getSmsAgent(Long agentId) {
        return smsAgentDAO.selectById(agentId);
    }
}
