package com.starbuds.server.service.message.netease;

import java.util.Map;

/**
 * 请求
 *
 * @author Lay
 * @date 2019/12/9
 */
public interface NeteaseRequest<T extends NeteaseResponse> {
    /**
     * 获取接口请求地址
     *
     * @return
     */
    String getApiUrl();

    /**
     * 获取请求参数
     *
     * @return
     */
    Map<String, Object> getParamsMap();

    /**
     * 获取响应类
     *
     * @return
     */
    Class<T> getResponseClass();
}
