package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 14:13
 * @Description 批量获取在线成员信息
 */
@Data
public class NeteaseChatroomQueryMembersResponse extends NeteaseResponse {

    private List<MemberInfo> data;

    @Data
    public static class MemberInfo {

        private Long roomid;

        private String accid;

        private String nick;

        private String type;

        private Boolean onlineStat;
    }
}
