package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 17:16
 * @Description 发送聊天室消息
 */
@Data
public class NeteaseChatroomSendMsgResponse extends NeteaseResponse {

    private Desc desc;

    @Data
    public static class Desc {

        private String time;

        private String fromAvator;

        private String msgid_client;

        private String fromClientType;

        private String attach;

        private String roomId;

        private String fromAccount;

        private String fromNick;

        private String type;

        private String ext;

        private Integer highPriorityFlag;

        private Integer msgAbandonFlag;
    }
}
