package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 17:00
 * @Description 设置聊天室内用户角色
 */
@Data
public class NeteaseChatroomSetMemberRoleResponse extends NeteaseResponse {

    private Desc desc;

    @Data
    public static class Desc {

        private Long roomid;

        private Integer level;

        private String accid;

        /**
         * 返回的type字段可能为：
         * LIMITED,          //受限用户,黑名单+禁言
         * COMMON,           //普通固定成员
         * CREATOR,          //创建者
         * MANAGER,          //管理员
         * TEMPORARY,        //临时用户,非固定成员
         */
        private String type;
    }

}
