package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/13 13:40
 * @Description 查询聊天室统计指标TopN
 */
@Data
public class NeteaseChatroomTopnResponse extends NeteaseResponse {

    private List<ChatroomTopn> data;

    @Data
    public static class ChatroomTopn {
        private Integer activeNums;
        private Long datetime;
        private Integer enterNums;
        private Integer msgs;
        private String period;
        private Long roomId;
    }
}
