package com.starbuds.server.service.message.netease.response.chatroom;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/12 16:45
 * @Description 更新聊天室信息
 */
@Data
public class NeteaseChatroomUpdateResponse extends NeteaseResponse {

    private Chatroom chatroom;

    @Data
    public static class Chatroom {

        private Long roomid;

        private Boolean valid;

        private String announcement;

        private String name;

        private String broadcasturl;

        private String ext;

        private String creator;

    }

}
