package com.starbuds.server.service.message.netease.response.msg;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 14:13
 * @Description 发送广播消息
 */
@Data
public class NeteaseMsgBroadcastResponse extends NeteaseResponse implements Serializable {
    private static final long serialVersionUID = -1348348371072987259L;

    private Msg msg;

    @Data
    public static class Msg implements Serializable {
        private static final long serialVersionUID = 7424762710949257540L;
        private int expireTime;
        private String body;
        private int createTime;
        private boolean isOffline;
        private int broadcastId;
        private List<String> targetos;
    }
}
