package com.starbuds.server.service.message.netease.response.msg;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 11:18
 * @Description 批量发送点对点普通消息
 */
@Data
public class NeteaseMsgSendBatchResponse extends NeteaseResponse implements Serializable {

    private static final long serialVersionUID = 7137016399793475888L;
    /**
     * 消息接受者对应的消息ID，returnMsgId参数为true时才返回
     */
    private Object msgids;

    /**
     * 消息发送的时间戳
     */
    private Long timetag;

    /**
     * 未注册的帐号
     */
    private List<String> unregister;

}
