package com.starbuds.server.service.message.netease.response.team;

import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/11 17:44
 * @Description 获取群组已读消息的已读详情信息
 */
@Data
public class NeteaseTeamMarkReadInfoResponse extends NeteaseResponse {

    private ReadInfo data;

    @Data
    public static class ReadInfo {
        private String readSize;
        private String unreadSize;
        private List<String> readAccids;
        private List<String> unreadAccids;
    }

}
