package com.starbuds.server.service.message.netease.response.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.netease.NeteaseResponse;
import lombok.Data;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/10
 */
@Data
public class NeteaseUserCreateResponse extends NeteaseResponse {

    private String desc;

    private Info info;

    @Data
    public static class Info implements Serializable {
        private String token;
        @JSONField(name = "accid")
        private String accId;
        private String name;
    }
}
