package com.starbuds.server.service.message.tencent;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/16
 */
@Data
public abstract class TencentResponse implements Serializable {
    @JSONField(name = "ActionStatus")
    private String actionStatus;

    @JSONField(name = "ErrorCode")
    private Integer errorCode;

    @JSONField(name = "ErrorInfo")
    private String errorInfo;

    /**
     * 处理成功
     */
    private static final String OK = "OK";

    public boolean isSuccess() {
        return OK.equals(actionStatus);
    }
}
