package com.starbuds.server.service.message.tencent.callback.entity.state;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.callback.entity.CallbackEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * 状态变更回调
 *
 * @author Lay
 * @date 2019/12/30
 */
@Data
public class StateChangeEntity extends CallbackEntity {

    @JSONField(name = "Info")
    private Info info;

    @Data
    public static class Info implements Serializable {
        @JSONField(name = "Action")
        private String action;

        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "Reason")
        private String reason;
    }
}
