package com.starbuds.server.service.message.tencent.constant;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/16
 */
public class TencentApi {
    /**
     * 网关
     */
    public static final String GATEWAY = "https://console.tim.qq.com";

    /**
     * 第四版本
     */
    public static final String VERSION_4 = "v4";

    /**
     * 账号管理
     */
    public static final String SERVICE_IM_OPEN_LOGIN_SVC = "im_open_login_svc";

    /**
     * 账号导入
     */
    public static final String CMD_ACCOUNT_IMPORT = "account_import";

    /**
     * 账号批量导入
     */
    public static final String CMD_ACCOUNT_MULTI_IMPORT = "multiaccount_import";

    /**
     * 帐号删除接口
     */
    public static final String CMD_ACCOUNT_DELETE = "account_delete";

    /**
     * 帐号检查接口
     */
    public static final String CMD_ACCOUNT_CHECK = "account_check";

    /**
     * 帐号登录态失效接口
     */
    public static final String CMD_ACCOUNT_KICK = "kick";


    /**
     * 单聊消息
     */
    public static final String SERVICE_OPEN_IM = "openim";

    /**
     * 发送消息
     */
    public static final String CMD_SEND_MSG = "sendmsg";

    /**
     * 批量发单聊消息
     */
    public static final String CMD_BATCH_SEND_MSG = "batchsendmsg";

    /**
     * 导入单聊消息
     */
    public static final String CMD_IMPORT_MSG = "importmsg";

    /**
     * 撤回单聊消息
     */
    public static final String CMD_MSG_WITH_DRAW = "admin_msgwithdraw";


    /**
     * 获取用户在线状态
     */
    public static final String CMD_USER_QUERY_STATE = "querystate";


    /**
     * 资料管理
     */
    public static final String SERVICE_PROFILE = "profile";

    /**
     * 拉取资料
     */
    public static final String CMD_PORTRAIT_GET = "portrait_get";

    /**
     * 设置资料
     */
    public static final String CMD_PORTRAIT_SET = "portrait_set";


    /**
     * 群组管理
     */
    public static final String SERVICE_GROUP = "group_open_http_svc";

    /**
     * 获取 App 中的所有群组
     */
    public static final String CMD_GROUP_GET_LIST = "get_appid_group_list";

    /**
     * 创建群组
     */
    public static final String CMD_GROUP_CREATE = "create_group";

    /**
     * 获取群组详细资料
     */
    public static final String CMD_GROUP_GET_INFO = "get_group_info";

    /**
     * 获取用户加入的群组列表
     */
    public static final String CMD_GET_JOINED_GROUP_LIST = "get_joined_group_list";

    /**
     * 发送群组系统通知
     */
    public static final String CMD_SEND_GROUP_SYSTEM_NOTIFICATION = "send_group_system_notification";

    /**
     * 发送群组消息
     */
    public static final String CMD_SEND_GROUP_MSG = "send_group_msg";

    /**
     * 修改群成员资料
     */
    public static final String CMD_MODIFY_GROUP_MEMBER_INFO = "modify_group_member_info";

    /**
     * 关系链服务
     */
    public static final String SERVICE_SNS = "sns";

    /**
     * 添加好友
     */
    public static final String CMD_FRIEND_ADD = "friend_add";

    /**
     * 删除好友
     */
    public static final String CMD_FRIEND_DELETE = "friend_delete";

    /**
     * 添加黑名单
     */
    public static final String BLACK_LIST_ADD = "black_list_add";

    /**
     * 删除黑名单
     */
    public static final String BLACK_LIST_DELETE = "black_list_delete";

    /**
     * 拉取黑名单
     */
    public static final String BLACK_LIST_GET = "black_list_get";

    /**
     * 运营管理
     */
    public static final String SERVICE_OPEN_CONFIG_SVR = "openconfigsvr";

    /**
     * 拉取运营数据
     */
    public static final String CMD_APP_INFO = "getappinfo";

    /**
     * 设置全局禁言
     */
    public static final String CMD_SET_NO_SPEAKING = "setnospeaking";

    /**
     * 获取全局禁言
     */
    public static final String CMD_GET_NO_SPEAKING = "getnospeaking";
}
