package com.starbuds.server.service.message.tencent.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 地理位置消息体
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class LocationContent implements Serializable {
    @JSONField(name = "Desc")
    private String desc;

    @JSONField(name = "Latitude")
    private Double latitude;

    @JSONField(name = "Longitude")
    private Double longitude;
}
