package com.starbuds.server.service.message.tencent.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public abstract class TencentImMsgElement<T> implements Serializable {
    @JSONField(name = "MsgType")
    private String msgType;

    @JSONField(name = "MsgContent")
    private T msgContent;

    public TencentImMsgElement(String type) {
        this.msgType = type;
    }
}
