package com.starbuds.server.service.message.tencent.param.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:01
 * @Description 帐号删除
 */
@Data
public class TencentImUserAccountDeleteParam extends TencentParam {

    @JSONField(name = "DeleteItem")
    private List<User> deleteItem;

    @Data
    @Builder
    public static class User {
        @JSONField(name = "UserID")
        private String userId;
    }
}
