package com.starbuds.server.service.message.tencent.param.config;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/3/12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TencentImSetNoSpeakingParam extends TencentParam {
    @JSONField(name = "Set_Account")
    private String setAccount;

    @JSONField(name = "C2CmsgNospeakingTime")
    private Integer c2cMsgNoSpeakingTime;

    @JSONField(name = "GroupmsgNospeakingTime")
    private Integer groupMsgNoSpeakingTime;
}
