package com.starbuds.server.service.message.tencent.param.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImGroupGetJoinedGroupListParam extends TencentParam {
    @JSONField(name = "Member_Account")
    private String memberAccount;

    @JSONField(name = "WithHugeGroups")
    private Integer withHugeGroups;

    @JSONField(name = "WithNoActiveGroups")
    private Integer withNoActiveGroups;

    @JSONField(name = "Limit")
    private Integer limit;

    @JSONField(name = "Offset")
    private Integer offset;

    @JSONField(name = "GroupType")
    private String groupType;

    @JSONField(name = "ResponseFilter")
    private Object responseFilter;
}
