package com.starbuds.server.service.message.tencent.param.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import com.starbuds.server.service.message.tencent.entity.TencentImMsgElement;
import lombok.Data;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImGroupSendGroupMsgParam extends TencentParam {
    @JSONField(name = "GroupId")
    private String groupId;

    @JSONField(name = "Random")
    private Integer random;

    @JSONField(name = "MsgPriority")
    private String msgPriority;

    @JSONField(name = "MsgBody")
    private List<TencentImMsgElement> msgBody;

    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "OfflinePushInfo")
    private Object offlinePushInfo;

    @JSONField(name = "forbidCallbackControl")
    private List<String> ForbidCallbackControl;

    @JSONField(name = "OnlineOnlyFlag")
    private Integer onlineOnlyFlag;
}
