package com.starbuds.server.service.message.tencent.param.sns;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 添加好友参数
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImSnsFriendAddParam extends TencentParam {
    @JSONField(name = "From_Account")
    private String fromAccount;

    @JSONField(name = "AddFriendItem")
    private List<Item> addFriendItem;

    @JSONField(name = "AddType")
    private String addType;

    @JSONField(name = "ForceAddFlags")
    private Integer forceAddFlags;

    @Data
    public static class Item implements Serializable {
        @JSONField(name = "To_Account")
        private String toAccount;

        @JSONField(name = "Remark")
        private String remark;

        @JSONField(name = "GroupName")
        private String groupName;

        @JSONField(name = "AddSource")
        private String addSource;

        @JSONField(name = "AddWording")
        private String addWording;
    }
}
