package com.starbuds.server.service.message.tencent.response.account;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/16 20:04
 * @Description 账号删除
 */
@Data
public class TencentImUserAccountDeleteResponse extends TencentResponse {

    @JSONField(name = "ResultItem")
    private List<ResultItemBean> resultItem;

    @Data
    public static class ResultItemBean {

        @JSONField(name = "ResultCode")
        private Integer resultCode;

        @JSONField(name = "ResultInfo")
        private String resultInfo;

        @JSONField(name = "UserID")
        private String userID;
    }
}
