package com.starbuds.server.service.message.tencent.response.config;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/3/12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TencentImGetNoSpeakingResponse extends TencentResponse {
    @JSONField(name = "C2CmsgNospeakingTime")
    private Integer c2cMsgNoSpeakingTime;

    @JSONField(name = "GroupmsgNospeakingTime")
    private Integer groupMsgNoSpeakingTime;

    @Override
    public boolean isSuccess() {
        return this.getErrorCode() == 0;
    }
}
