package com.starbuds.server.service.message.tencent.response.group;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.message.tencent.TencentResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/2
 */
@Data
public class TencentImGroupGetJoinedGroupListResponse extends TencentResponse {

    @JSONField(name = "TotalCount")
    private Integer totalCount;

    @JSONField(name = "GroupIdList")
    private List<GroupId> groupIdList;

    @Data
    public static class GroupId implements Serializable {
        @JSONField(name = "GroupId")
        private String groupId;
    }
}
